summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorCosimo Alfarano <cosimo.alfarano@collabora.co.uk>2009-12-04 21:14:58 -0200
committerCosimo Alfarano <cosimo.alfarano@collabora.co.uk>2009-12-04 21:14:58 -0200
commit8fb9c3d6136c533cb5f240740f357647019b22ab (patch)
treed377aa717c5df7859a962dfd051aa6a40ffb4229 /autogen.sh
parent35c657537049f36e2d6fa445008a498dde4c8423 (diff)
downloadtelepathy-logger-8fb9c3d6136c533cb5f240740f357647019b22ab.tar.gz
Completed importing and refactoring of EmpathyLogStore
* removed any call which would make TPL depending on libempathy * copied empathy-time.[hc] * added some empathy's utility function to tpl_utils.[ch] * added support for automake/autoconf using empathy's one as basis: currently TPL depends on telepathy-glib and libxmp-2.0 (and theirs deps) * added AUTHORS COPYING INSTALL README and NEWS files (empty)
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..4973c4c
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="TelepathyLogger"
+REQUIRED_AUTOMAKE_VERSION=1.9
+
+(test -f $srcdir/configure.ac) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level gnome directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+USE_GNOME2_MACROS=1 USE_COMMON_DOC_BUILD=yes . gnome-autogen.sh